Bug 1790523 - [4.3] dual-stack config for openshift-apiserver
Summary: [4.3] dual-stack config for openshift-apiserver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Michal Fojtik
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1790522
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-13 14:34 UTC by Dan Winship
Modified: 2020-02-19 05:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1790522
Environment:
Last Closed: 2020-02-19 05:39:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 296 0 None closed Bug 1790523: [release-4.3] Specify "bindNetwork: tcp" so apiserver will work on IPv6 single-stack 2021-01-28 15:52:02 UTC
Red Hat Product Errata RHBA-2020:0492 0 None None None 2020-02-19 05:40:02 UTC

Description Dan Winship 2020-01-13 14:34:53 UTC
+++ This bug was initially created as a clone of Bug #1790522 +++

openshift-apiserver should run dual-stack for ipv4/ipv6/dual-stack compat

--- Additional comment from Dan Winship on 2020-01-13 09:34:05 EST ---

Tested in the ipv6 builds. Not currently QA-able.

Comment 2 Xingxing Xia 2020-02-10 10:16:31 UTC
Hi, Dan Winship, saw bug 1790522#c1 comment. Is this bug same like that comment? Thanks

Comment 3 Dan Winship 2020-02-10 15:10:28 UTC
yes, this is another IPv6 one... missed it because I didn't search for "dual-stack", just "ipv6"

Comment 4 Marius Cornea 2020-02-12 02:15:18 UTC
Verified on 4.3.0-0.nightly-2020-02-10-055634-ipv6.3(based on 4.3.0-0.nightly-2020-02-10-055634)

Comment 6 errata-xmlrpc 2020-02-19 05:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0492


Note You need to log in before you can comment on or make changes to this bug.